com.mapinfo.midev.feature.impl

## Class FeatureMetadata

- java.lang.Object
- - com.mapinfo.midev.feature.impl.FeatureMetadata

All Implemented Interfaces:
  IFeatureMetadata, Serializable

    public class FeatureMetadata
    extends Object
    implements IFeatureMetadata

Standard implementation of the `IFeatureMetadata` interface.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`FeatureMetadata(AttributeDefinitionCollection attributeDefinitions)`
`FeatureMetadata(AttributeDefinitionCollection attributeDefinitions, PrimaryKeyMetadata primaryKeyMetadata)` Constructs a feature metadata instance using the supplied attribute definitions and key information.
`FeatureMetadata(IAttributeDefinition[] attributeDefinitions)`
`FeatureMetadata(List attributeDefinitionList)`
`FeatureMetadata(List attributeDefinitionList, PrimaryKeyMetadata primaryKeyMetadata)`

### Method Summary

All Methods Instance Methods Concrete Methods
`AttributeDefinitionCollection` `getAttributeDefinitions()` Returns the collection of definitions that describe the attributes for the feature.
`PrimaryKeyMetadata` `getPrimaryKeyMetadata()` Returns the description of the primary key.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FeatureMetadata

    public FeatureMetadata(IAttributeDefinition[] attributeDefinitions)

#### FeatureMetadata

    public FeatureMetadata(List attributeDefinitionList)

#### FeatureMetadata

    public FeatureMetadata(List attributeDefinitionList,
                           PrimaryKeyMetadata primaryKeyMetadata)

#### FeatureMetadata

    public FeatureMetadata(AttributeDefinitionCollection attributeDefinitions)

#### FeatureMetadata

    public FeatureMetadata(AttributeDefinitionCollection attributeDefinitions,
                           PrimaryKeyMetadata primaryKeyMetadata)

Constructs a feature metadata instance using the supplied attribute definitions and key information.

Parameters:
  `attributeDefinitions` - The attribute definitions that define the feature.

### Method Detail

#### getAttributeDefinitions

    public AttributeDefinitionCollection getAttributeDefinitions()

Description copied from interface: `IFeatureMetadata`
Returns the collection of definitions that describe the attributes for the feature. Note that the collection is not modifiable by the user. The container for the feature, a feature collection or other container, may expose capabilities for altering the schema of the features it contains.

Specified by:
  `getAttributeDefinitions` in interface `IFeatureMetadata`
Returns:
  the collection of definitions that describe the attributes for the feature.

#### getPrimaryKeyMetadata

    public PrimaryKeyMetadata getPrimaryKeyMetadata()

Description copied from interface: `IFeatureMetadata`
Returns the description of the primary key. If there is no primary key defined, `PrimaryKeyMetadata.NONE` is returned.

Specified by:
  `getPrimaryKeyMetadata` in interface `IFeatureMetadata`
Returns:
  the description of the primary key.